/*********************************************
*
*    donne un nombre alartoire de manire quiprobable
*
*    in: 
*       max : entier maximum
*
*    out:
*       entier alatoire entre 0 et max-1 compris
*
**********************************************/
function nombreAleatoire(max) {
    return Math.floor(Math.random() * max);
}

/*********************************************
*
*    retourne le nombre saisi par l'utilisateur
*
*    in: 
*        i     : entier,
*                numero de l'essai
*        nbTry : entier,
*                nombre d'essai maximal
*
*    out:
*       entier saisi au clavier par l'utilisateur
*
**********************************************/
function proposition(i, nbTry) {
    return prompt("Tentative " + i + " sur " + nbTry + "\n Proposer votre nombre", 0);
}

/*********************************************
*
*    affiche le message trop petit
*
*    in: 
*       i : entier, numro de la tentative
*       n : entier, nombre propos
*
*    out:
*       auncun
*
**********************************************/
function afficheTropPetit(i, n) {
    // message d'information
    alert("Votre proposition est plus petite que le nombre  deviner, dommage...");
    
    // pour l'historique
    document.write("<div class=\"proposition\"><h3>tentative : " + i + "</h3> proposition : " + n + "<br /> nombre trop petit</div>");
}

/*********************************************
*
*    affiche le message trop grand
*
*    in: 
*       i : entier, numro de la tentative
*       n : entier, nombre propos
*
*    out:
*       auncun
*
**********************************************/
function afficheTropGrand(i, n) {
    // message d'information
    alert("Votre proposition est plus grande que le nombre  deviner, dommage...");
    
    // pour l'historique
    document.write("<div class=\"proposition\"><h3>tentative : " + i + "</h3> proposition : " + n + "<br /> nombre trop grand</div>");
}

/*********************************************
*
*    affiche le message gagn
*
*    in: 
*       i : entier, numro de la tentative
*       n : entier, nombre propos
*
*    out:
*       auncun
*
**********************************************/
function afficheGagne(i, n) {
    // message d'information
    alert("Alors l, bravo, vous avez trouv.");
    
    // pour l'historique
    document.write("<div class=\"gagne\"><h3>Gagn&eacute; &agrave; la tentative " + i + "</h3> Vous avez trouv le nombre myst&egrave;re " + n + "</div>");
}

/*********************************************
*
*    affiche le message perdu
*
*    in: 
*       n : entier, nombre  deviner
*
*    out:
*       auncun
*
**********************************************/
function affichePerdu(n) {
    // message d'information
    alert("Yes ! vous n'avez pas trouv.");
    
    // pour l'historique
    document.write("<div class=\"perdu\"><h3>Perdu !</h3> le nombre myst&egrave;re &agrave; trouver &eacute;tait " + n + "</div>");
}

/*********************************************
*
*    in: 
*       Nmax  : entier,
*               borne maximale 
*       nbTry : entier, 
*               nombre d'essai maximal pour trouver le nombre
*
*    out:
*       aucun, affichage dans le texte du droulement du jeux
*
**********************************************/
function jeux(nbTry, Nmax) {
    // nombre  deviner
    var nMystere = nombreAleatoire(Nmax);

    // numero de l'essai
    var i = 1;

    // proposition de l'utisateur
    var n = nMystere - 1;

    // boucle du jeux
    while(i <= nbTry && n != nMystere) {
	n = proposition(i, nbTry);

	if (n < nMystere) 
	    afficheTropPetit(i, n);
	else 
	    if (n > nMystere)
		afficheTropGrand(i, n);
	
	// incrementation du nombre d'essai
	i++;
    }

    if (i <= nbTry)
	afficheGagne(i - 1, n);
    else
	affichePerdu(nMystere);
}